Package com.emc.d2fs.models.x3_skin

# Class X3Skin

java.lang.Object
com.emc.d2fs.models.x3_skin.X3Skin

All Implemented Interfaces:
  `Serializable`

public class X3Skin extends Object implements Serializable

Java class for x3_skin complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="x3_skin">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="skinHeaderLogo" type="{http://www.emc.com/d2fs/models/common}dataHandler" minOccurs="0"/>
             <element name="skinBackgroundTexture" type="{http://www.emc.com/d2fs/models/common}dataHandler" minOccurs="0"/>
             <element name="thumbnailGraphicRules" type="{http://www.emc.com/d2fs/models/x3_skin}x3_graphic_css_rule" maxOccurs="unbounded" minOccurs="0"/>
             <element name="iconGraphicRules" type="{http://www.emc.com/d2fs/models/x3_skin}x3_graphic_css_rule" maxOccurs="unbounded" minOccurs="0"/>
             <element name="attributeGraphicRules" type="{http://www.emc.com/d2fs/models/x3_skin}x3_graphic_css_rule" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attribute name="skinName" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="skinLabel" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="skinHeaderColor" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="skinSpaceTitleColor" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="skinSpaceBorderColor" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="skinTabColoredText" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="skinTabActiveColor" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="skinTabInactiveColor" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="skinTabBorderColor" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="skinBackgroundColorType" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="skinBackgroundColor" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="skinBackgroundGradientStart" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="skinBackgroundGradientEnd" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="skinSelectionColor" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="skinSelectionBlurColor" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="skinDialogBackgroundWhite" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="skinTabTextActive" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="skinTabTextInactive" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="skinMenuTextColor" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="skinMenuHoverColor" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `X3Skin()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<X3GraphicCssRule>`
  `getAttributeGraphicRules()`
  Gets the value of the attributeGraphicRules property.
  `List<X3GraphicCssRule>`
  `getIconGraphicRules()`
  Gets the value of the iconGraphicRules property.
  `String`
  `getSkinBackgroundColor()`
  Gets the value of the skinBackgroundColor property.
  `String`
  `getSkinBackgroundColorType()`
  Gets the value of the skinBackgroundColorType property.
  `String`
  `getSkinBackgroundGradientEnd()`
  Gets the value of the skinBackgroundGradientEnd property.
  `String`
  `getSkinBackgroundGradientStart()`
  Gets the value of the skinBackgroundGradientStart property.
  `DataHandler`
  `getSkinBackgroundTexture()`
  Gets the value of the skinBackgroundTexture property.
  `String`
  `getSkinHeaderColor()`
  Gets the value of the skinHeaderColor property.
  `DataHandler`
  `getSkinHeaderLogo()`
  Gets the value of the skinHeaderLogo property.
  `String`
  `getSkinLabel()`
  Gets the value of the skinLabel property.
  `String`
  `getSkinMenuHoverColor()`
  Gets the value of the skinMenuHoverColor property.
  `String`
  `getSkinMenuTextColor()`
  Gets the value of the skinMenuTextColor property.
  `String`
  `getSkinName()`
  Gets the value of the skinName property.
  `String`
  `getSkinSelectionBlurColor()`
  Gets the value of the skinSelectionBlurColor property.
  `String`
  `getSkinSelectionColor()`
  Gets the value of the skinSelectionColor property.
  `String`
  `getSkinSpaceBorderColor()`
  Gets the value of the skinSpaceBorderColor property.
  `String`
  `getSkinSpaceTitleColor()`
  Gets the value of the skinSpaceTitleColor property.
  `String`
  `getSkinTabActiveColor()`
  Gets the value of the skinTabActiveColor property.
  `String`
  `getSkinTabBorderColor()`
  Gets the value of the skinTabBorderColor property.
  `String`
  `getSkinTabInactiveColor()`
  Gets the value of the skinTabInactiveColor property.
  `String`
  `getSkinTabTextActive()`
  Gets the value of the skinTabTextActive property.
  `String`
  `getSkinTabTextInactive()`
  Gets the value of the skinTabTextInactive property.
  `List<X3GraphicCssRule>`
  `getThumbnailGraphicRules()`
  Gets the value of the thumbnailGraphicRules property.
  `Boolean`
  `isSkinDialogBackgroundWhite()`
  Gets the value of the skinDialogBackgroundWhite property.
  `Boolean`
  `isSkinTabColoredText()`
  Gets the value of the skinTabColoredText property.
  `void`
  `setSkinBackgroundColor(String value)`
  Sets the value of the skinBackgroundColor property.
  `void`
  `setSkinBackgroundColorType(String value)`
  Sets the value of the skinBackgroundColorType property.
  `void`
  `setSkinBackgroundGradientEnd(String value)`
  Sets the value of the skinBackgroundGradientEnd property.
  `void`
  `setSkinBackgroundGradientStart(String value)`
  Sets the value of the skinBackgroundGradientStart property.
  `void`
  `setSkinBackgroundTexture(DataHandler value)`
  Sets the value of the skinBackgroundTexture property.
  `void`
  `setSkinDialogBackgroundWhite(Boolean value)`
  Sets the value of the skinDialogBackgroundWhite property.
  `void`
  `setSkinHeaderColor(String value)`
  Sets the value of the skinHeaderColor property.
  `void`
  `setSkinHeaderLogo(DataHandler value)`
  Sets the value of the skinHeaderLogo property.
  `void`
  `setSkinLabel(String value)`
  Sets the value of the skinLabel property.
  `void`
  `setSkinMenuHoverColor(String value)`
  Sets the value of the skinMenuHoverColor property.
  `void`
  `setSkinMenuTextColor(String value)`
  Sets the value of the skinMenuTextColor property.
  `void`
  `setSkinName(String value)`
  Sets the value of the skinName property.
  `void`
  `setSkinSelectionBlurColor(String value)`
  Sets the value of the skinSelectionBlurColor property.
  `void`
  `setSkinSelectionColor(String value)`
  Sets the value of the skinSelectionColor property.
  `void`
  `setSkinSpaceBorderColor(String value)`
  Sets the value of the skinSpaceBorderColor property.
  `void`
  `setSkinSpaceTitleColor(String value)`
  Sets the value of the skinSpaceTitleColor property.
  `void`
  `setSkinTabActiveColor(String value)`
  Sets the value of the skinTabActiveColor property.
  `void`
  `setSkinTabBorderColor(String value)`
  Sets the value of the skinTabBorderColor property.
  `void`
  `setSkinTabColoredText(Boolean value)`
  Sets the value of the skinTabColoredText property.
  `void`
  `setSkinTabInactiveColor(String value)`
  Sets the value of the skinTabInactiveColor property.
  `void`
  `setSkinTabTextActive(String value)`
  Sets the value of the skinTabTextActive property.
  `void`
  `setSkinTabTextInactive(String value)`
  Sets the value of the skinTabTextInactive property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### X3Skin

    public X3Skin()

- ## Method Details

  - ### getSkinHeaderLogo

    public DataHandler getSkinHeaderLogo()
    Gets the value of the skinHeaderLogo property.
    Returns:
      possible object is `DataHandler`

  - ### setSkinHeaderLogo

    public void setSkinHeaderLogo(DataHandler value)
    Sets the value of the skinHeaderLogo property.
    Parameters:
      `value` - allowed object is `DataHandler`

  - ### getSkinBackgroundTexture

    public DataHandler getSkinBackgroundTexture()
    Gets the value of the skinBackgroundTexture property.
    Returns:
      possible object is `DataHandler`

  - ### setSkinBackgroundTexture

    public void setSkinBackgroundTexture(DataHandler value)
    Sets the value of the skinBackgroundTexture property.
    Parameters:
      `value` - allowed object is `DataHandler`

  - ### getThumbnailGraphicRules

    public List<X3GraphicCssRule> getThumbnailGraphicRules()
    Gets the value of the thumbnailGraphicRules property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the thumbnailGraphicRules property.

    For example, to add a new item, do as follows:

            getThumbnailGraphicRules().add(newItem);

    Objects of the following type(s) are allowed in the list `X3GraphicCssRule`

  - ### getIconGraphicRules

    public List<X3GraphicCssRule> getIconGraphicRules()
    Gets the value of the iconGraphicRules property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the iconGraphicRules property.

    For example, to add a new item, do as follows:

            getIconGraphicRules().add(newItem);

    Objects of the following type(s) are allowed in the list `X3GraphicCssRule`

  - ### getAttributeGraphicRules

    public List<X3GraphicCssRule> getAttributeGraphicRules()
    Gets the value of the attributeGraphicRules property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the attributeGraphicRules property.

    For example, to add a new item, do as follows:

            getAttributeGraphicRules().add(newItem);

    Objects of the following type(s) are allowed in the list `X3GraphicCssRule`

  - ### getSkinName

    public String getSkinName()
    Gets the value of the skinName property.
    Returns:
      possible object is `String`

  - ### setSkinName

    public void setSkinName(String value)
    Sets the value of the skinName property.
    Parameters:
      `value` - allowed object is `String`

  - ### getSkinLabel

    public String getSkinLabel()
    Gets the value of the skinLabel property.
    Returns:
      possible object is `String`

  - ### setSkinLabel

    public void setSkinLabel(String value)
    Sets the value of the skinLabel property.
    Parameters:
      `value` - allowed object is `String`

  - ### getSkinHeaderColor

    public String getSkinHeaderColor()
    Gets the value of the skinHeaderColor property.
    Returns:
      possible object is `String`

  - ### setSkinHeaderColor

    public void setSkinHeaderColor(String value)
    Sets the value of the skinHeaderColor property.
    Parameters:
      `value` - allowed object is `String`

  - ### getSkinSpaceTitleColor

    public String getSkinSpaceTitleColor()
    Gets the value of the skinSpaceTitleColor property.
    Returns:
      possible object is `String`

  - ### setSkinSpaceTitleColor

    public void setSkinSpaceTitleColor(String value)
    Sets the value of the skinSpaceTitleColor property.
    Parameters:
      `value` - allowed object is `String`

  - ### getSkinSpaceBorderColor

    public String getSkinSpaceBorderColor()
    Gets the value of the skinSpaceBorderColor property.
    Returns:
      possible object is `String`

  - ### setSkinSpaceBorderColor

    public void setSkinSpaceBorderColor(String value)
    Sets the value of the skinSpaceBorderColor property.
    Parameters:
      `value` - allowed object is `String`

  - ### isSkinTabColoredText

    public Boolean isSkinTabColoredText()
    Gets the value of the skinTabColoredText property.
    Returns:
      possible object is `Boolean`

  - ### setSkinTabColoredText

    public void setSkinTabColoredText(Boolean value)
    Sets the value of the skinTabColoredText property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### getSkinTabActiveColor

    public String getSkinTabActiveColor()
    Gets the value of the skinTabActiveColor property.
    Returns:
      possible object is `String`

  - ### setSkinTabActiveColor

    public void setSkinTabActiveColor(String value)
    Sets the value of the skinTabActiveColor property.
    Parameters:
      `value` - allowed object is `String`

  - ### getSkinTabInactiveColor

    public String getSkinTabInactiveColor()
    Gets the value of the skinTabInactiveColor property.
    Returns:
      possible object is `String`

  - ### setSkinTabInactiveColor

    public void setSkinTabInactiveColor(String value)
    Sets the value of the skinTabInactiveColor property.
    Parameters:
      `value` - allowed object is `String`

  - ### getSkinTabBorderColor

    public String getSkinTabBorderColor()
    Gets the value of the skinTabBorderColor property.
    Returns:
      possible object is `String`

  - ### setSkinTabBorderColor

    public void setSkinTabBorderColor(String value)
    Sets the value of the skinTabBorderColor property.
    Parameters:
      `value` - allowed object is `String`

  - ### getSkinBackgroundColorType

    public String getSkinBackgroundColorType()
    Gets the value of the skinBackgroundColorType property.
    Returns:
      possible object is `String`

  - ### setSkinBackgroundColorType

    public void setSkinBackgroundColorType(String value)
    Sets the value of the skinBackgroundColorType property.
    Parameters:
      `value` - allowed object is `String`

  - ### getSkinBackgroundColor

    public String getSkinBackgroundColor()
    Gets the value of the skinBackgroundColor property.
    Returns:
      possible object is `String`

  - ### setSkinBackgroundColor

    public void setSkinBackgroundColor(String value)
    Sets the value of the skinBackgroundColor property.
    Parameters:
      `value` - allowed object is `String`

  - ### getSkinBackgroundGradientStart

    public String getSkinBackgroundGradientStart()
    Gets the value of the skinBackgroundGradientStart property.
    Returns:
      possible object is `String`

  - ### setSkinBackgroundGradientStart

    public void setSkinBackgroundGradientStart(String value)
    Sets the value of the skinBackgroundGradientStart property.
    Parameters:
      `value` - allowed object is `String`

  - ### getSkinBackgroundGradientEnd

    public String getSkinBackgroundGradientEnd()
    Gets the value of the skinBackgroundGradientEnd property.
    Returns:
      possible object is `String`

  - ### setSkinBackgroundGradientEnd

    public void setSkinBackgroundGradientEnd(String value)
    Sets the value of the skinBackgroundGradientEnd property.
    Parameters:
      `value` - allowed object is `String`

  - ### getSkinSelectionColor

    public String getSkinSelectionColor()
    Gets the value of the skinSelectionColor property.
    Returns:
      possible object is `String`

  - ### setSkinSelectionColor

    public void setSkinSelectionColor(String value)
    Sets the value of the skinSelectionColor property.
    Parameters:
      `value` - allowed object is `String`

  - ### getSkinSelectionBlurColor

    public String getSkinSelectionBlurColor()
    Gets the value of the skinSelectionBlurColor property.
    Returns:
      possible object is `String`

  - ### setSkinSelectionBlurColor

    public void setSkinSelectionBlurColor(String value)
    Sets the value of the skinSelectionBlurColor property.
    Parameters:
      `value` - allowed object is `String`

  - ### isSkinDialogBackgroundWhite

    public Boolean isSkinDialogBackgroundWhite()
    Gets the value of the skinDialogBackgroundWhite property.
    Returns:
      possible object is `Boolean`

  - ### setSkinDialogBackgroundWhite

    public void setSkinDialogBackgroundWhite(Boolean value)
    Sets the value of the skinDialogBackgroundWhite property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### getSkinTabTextActive

    public String getSkinTabTextActive()
    Gets the value of the skinTabTextActive property.
    Returns:
      possible object is `String`

  - ### setSkinTabTextActive

    public void setSkinTabTextActive(String value)
    Sets the value of the skinTabTextActive property.
    Parameters:
      `value` - allowed object is `String`

  - ### getSkinTabTextInactive

    public String getSkinTabTextInactive()
    Gets the value of the skinTabTextInactive property.
    Returns:
      possible object is `String`

  - ### setSkinTabTextInactive

    public void setSkinTabTextInactive(String value)
    Sets the value of the skinTabTextInactive property.
    Parameters:
      `value` - allowed object is `String`

  - ### getSkinMenuTextColor

    public String getSkinMenuTextColor()
    Gets the value of the skinMenuTextColor property.
    Returns:
      possible object is `String`

  - ### setSkinMenuTextColor

    public void setSkinMenuTextColor(String value)
    Sets the value of the skinMenuTextColor property.
    Parameters:
      `value` - allowed object is `String`

  - ### getSkinMenuHoverColor

    public String getSkinMenuHoverColor()
    Gets the value of the skinMenuHoverColor property.
    Returns:
      possible object is `String`

  - ### setSkinMenuHoverColor

    public void setSkinMenuHoverColor(String value)
    Sets the value of the skinMenuHoverColor property.
    Parameters:
      `value` - allowed object is `String`